package com.xzzn.ems.domain.vo;

import javax.validation.constraints.NotBlank;

/**
 * 设备信息更新入参
 *
 */
public class DeviceUpdateRequest {

    /** 站点id */
    @NotBlank(message = "站点ID不能为空")
    private String siteId;

    /** 设备id */
    @NotBlank(message = "设备ID不能为空")
    private String deviceId;

    /** 工作状态：0-运行 1-停机 2-故障 */
    @NotBlank(message = "工作状态状态不能为空")
    private String workStatus;

    /** 设备类型 */
    private String deviceCategory;

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getWorkStatus() {
        return workStatus;
    }

    public void setWorkStatus(String workStatus) {
        this.workStatus = workStatus;
    }

    public String getDeviceCategory() {
        return deviceCategory;
    }

    public void setDeviceCategory(String deviceCategory) {
        this.deviceCategory = deviceCategory;
    }

}
